---
updateStrategy:
  type: RollingUpdate
  rollingUpdate:
    maxUnavailable: 1
    maxSurge: 0

deployment:
  kind: DaemonSet

ports:
  web:
    hostPort: 80
    transport:
      respondingTimeouts:
        readTimeout: 3600s
  websecure:
    hostPort: 443
    transport:
      respondingTimeouts:
        readTimeout: 3600s
  metrics:
    expose:
      default: true

service:
  type: ClusterIP


persistence:
  enabled: false

tolerations:
  - key: node-role.kubernetes.io/control-plane
    operator: Exists
    effect: NoSchedule
